## LassoSamlp2IDPEntry

LassoSamlp2IDPEntry — <samlp2:IDPEntry>

## Functions

LassoNode * | lasso_samlp2_idp_entry_new ()

## Types and Values

struct | LassoSamlp2IDPEntry

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoSamlp2IDPEntry

## Description

Figure 75. Schema fragment for samlp2:IDPEntry

    <complexType name="IDPEntryType">
      <attribute name="ProviderID" type="anyURI" use="required"/>
      <attribute name="Name" type="string" use="optional"/>
      <attribute name="Loc" type="anyURI" use="optional"/>
    </complexType>

## Functions

### lasso_samlp2_idp_entry_new ()

    LassoNode *
    lasso_samlp2_idp_entry_new (void);

Creates a new LassoSamlp2IDPEntry object.

#### Returns

a newly created LassoSamlp2IDPEntry object

## Types and Values

### struct LassoSamlp2IDPEntry

    struct LassoSamlp2IDPEntry {
    	/* attributes */
    	char *ProviderID;
    	char *Name;
    	char *Loc;
    };